Proxmox 4 - No display with kvm virtual machine

Discussion in 'What Virtual Appliances do you want to see?' started by gizmo15, Sep 20, 2015.

  1. gizmo15

    gizmo15 New Member

    Joined:
    Sep 20, 2015
    Messages:
    9
    Likes Received:
    0
    Hello,

    I installed a first server in proxmox 4 beta1 on a R210 without trouble.

    i deploy a second one with the beta 2 and i meet a problem:
    when i start a VM and want to see the console, i have this message:

    This command is used to launch the VM:
    Proxmox is up to date.

    Have you an idea of the problem?

    thanks
     
  2. cot

    cot Member

    Joined:
    Aug 24, 2015
    Messages:
    33
    Likes Received:
    0
    I'm also having this issue. My guess is it may be related to update of QEMU 2.4 or the Linux kernel update to 4.2

    Proxmox VE 4.0 beta2

    Released 10.09.2015: See Downloads

    • based on Debian Jessie 8.2.0
    • Linux kernel 4.2
    • QEMU 2.4
    • LXC improvements Linux Container
      • Containers can be created on local storage, NFS, Ceph RBD, DRBD9, ...
      • Migration (offline)
    • IPv6 support
    • DRBD9
    • Ceph Server packages
    • countless bug fixes and package updates (for all details see bugtracker and GIT)
    Proxmox VE 4.0 beta1

    Released 22.06.2015: See Downloads

     
  3. cot

    cot Member

    Joined:
    Aug 24, 2015
    Messages:
    33
    Likes Received:
    0
    "4.0Beta-26/5d4a6l5b" works best for me and I do not know how to get back that particular version. Even downloading the official PVE 4.0 beta1 do not give me that particular version. It installs this version instead - "4.0Beta-16|a7dc5694".
     
  4. gizmo15

    gizmo15 New Member

    Joined:
    Sep 20, 2015
    Messages:
    9
    Likes Received:
    0
    thanks for your answer!! i try beta 1 ;)
     
  5. gizmo15

    gizmo15 New Member

    Joined:
    Sep 20, 2015
    Messages:
    9
    Likes Received:
    0
    with the beta 1 it's ok but you do not need to upgrade because you pass on the beta 2.

    I will try to blacklist the kernel and qemu packages to be able to still do the other update packages
     
  6. gizmo15

    gizmo15 New Member

    Joined:
    Sep 20, 2015
    Messages:
    9
    Likes Received:
    0
    so it's work ^^

    my proxmox is in beta 2 but with the good kernel and the good qemu version.

    for that, i create 3 files in /etc/apt/preferences.d/

    kernel:
    Package: pve-kernel-3.19.8-1-pve
    Pin: version 3.19.8-3
    Pin-priority: 1001

    qemu:
    Package: pve-qemu-kvm
    Pin: version 2.3-5
    Pin-priority: 1001

    Package: qemu-server
    Pin: version 4.0-12
    Pin-priority: 1001

    proxmox:
    Package: proxmox-ve
    Pin: version 4.0-3
    Pin-priority: 1001

    i update my installation without trouble.
     
  7. Gilberto Ferreira

    Joined:
    Aug 21, 2014
    Messages:
    47
    Likes Received:
    0
    Hi... Thanks for post this solution...
    Actually, I just found this behavior in an HP Proliant Server, with PVE 4 beta2... With a Dell Server, everything works great...
     
  8. cot

    cot Member

    Joined:
    Aug 24, 2015
    Messages:
    33
    Likes Received:
    0
    Yeah, running mine on HP Blade server. Maybe only affecting HP servers.
     
  9. Gilberto Ferreira

    Joined:
    Aug 21, 2014
    Messages:
    47
    Likes Received:
    0
    Maybe!
     
  10. Whatever

    Whatever Member

    Joined:
    Nov 19, 2012
    Messages:
    199
    Likes Received:
    5
    Dell R710 same story - Proxmox 4 beta2
    (Windows 2012 R2 guest)

    root@pve:~# pveversion -v
    proxmox-ve: 4.0-13 (running kernel: 4.2.0-1-pve)
    pve-manager: 4.0-39 (running version: 4.0-39/ab3cc94a)
    pve-kernel-4.2.0-1-pve: 4.2.0-13
    lvm2: 2.02.116-pve1
    corosync-pve: 2.3.5-1
    libqb0: 0.17.2-1
    pve-cluster: 4.0-19
    qemu-server: 4.0-25
    pve-firmware: 1.1-7
    libpve-common-perl: 4.0-24
    libpve-access-control: 4.0-8
    libpve-storage-perl: 4.0-23
    pve-libspice-server1: 0.12.5-1
    vncterm: 1.2-1
    pve-qemu-kvm: 2.4-8
    pve-container: 0.9-23
    pve-firewall: 2.0-11
    pve-ha-manager: 1.0-7
    ksm-control-daemon: 1.2-1
    glusterfs-client: 3.5.2-2+deb8u1
    lxc-pve: 1.1.3-1
    lxcfs: 0.9-pve2
    cgmanager: 0.37-pve2
    criu: 1.6.0-1
    zfsutils: 0.6.5-pve1~jessie



    Any ideas?
     
  11. Martinjo84

    Martinjo84 New Member

    Joined:
    Sep 25, 2015
    Messages:
    6
    Likes Received:
    0
    Same thing on my Dell R610
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice